<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Signature (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Signature (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/plugins/signing/Sign.html" title="class in org.gradle.plugins.signing"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/plugins/signing/Signature.html" target="_top">Frames</a></li>
<li><a href="Signature.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.signing</div>
<h2 title="Class Signature" class="title">Class Signature</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.artifacts.publish.AbstractPublishArtifact</li>
<li>
<ul class="inheritance">
<li>org.gradle.plugins.signing.Signature</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts">PublishArtifact</a>, <a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">Signature</span>
extends org.gradle.api.internal.artifacts.publish.AbstractPublishArtifact</pre>
<div class="block">A digital signature file artifact.

 <p>A signature file is always generated from another file, which may be a <a href="../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts"><code>PublishArtifact</code></a>.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#Signature(java.util.concurrent.Callable,%20java.util.concurrent.Callable,%20org.gradle.plugins.signing.SignatureSpec,%20java.lang.Object...)">Signature</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/concurrent/Callable.html?is-external=true" title="class or interface in java.util.concurrent">Callable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;toSign,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/util/concurrent/Callable.html?is-external=true" title="class or interface in java.util.concurrent">Callable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;classifier,
         <a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a>&nbsp;signatureSpec,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;tasks)</code>
<div class="block">Creates a signature artifact for the file returned by the <code>toSign</code> closure.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#Signature(groovy.lang.Closure,%20groovy.lang.Closure,%20org.gradle.plugins.signing.SignatureSpec,%20java.lang.Object...)">Signature</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;toSign,
         <a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;classifier,
         <a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a>&nbsp;signatureSpec,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;tasks)</code>
<div class="block">Creates a signature artifact for the file returned by the <code>toSign</code> closure.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#Signature(java.io.File,%20org.gradle.plugins.signing.SignatureSpec,%20java.lang.Object...)">Signature</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;toSign,
         <a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a>&nbsp;signatureSpec,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;tasks)</code>
<div class="block">Creates a signature artifact for the given file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#Signature(java.io.File,%20java.lang.String,%20org.gradle.plugins.signing.SignatureSpec,%20java.lang.Object...)">Signature</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;toSign,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;classifier,
         <a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a>&nbsp;signatureSpec,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;tasks)</code>
<div class="block">Creates a signature artifact for the given file, with the given classifier.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#Signature(org.gradle.api.artifacts.PublishArtifact,%20org.gradle.plugins.signing.SignatureSpec,%20java.lang.Object...)">Signature</a></strong>(<a href="../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts">PublishArtifact</a>&nbsp;toSign,
         <a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a>&nbsp;signatureSpec,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;tasks)</code>
<div class="block">Creates a signature artifact for the given public artifact.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#generate()">generate</a></strong>()</code>
<div class="block">Generates the signature file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#getClassifier()">getClassifier</a></strong>()</code>
<div class="block">The classifier of the signature artifact.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#getDate()">getDate</a></strong>()</code>
<div class="block">The date of the signature artifact.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#getExtension()">getExtension</a></strong>()</code>
<div class="block">The extension of the signature artifact.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#getFile()">getFile</a></strong>()</code>
<div class="block">The file for the generated signature, which may not yet exist.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#getName()">getName</a></strong>()</code>
<div class="block">The name of the signature artifact.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory">Signatory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#getSignatory()">getSignatory</a></strong>()</code>
<div class="block">The signatory of this signature file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#getSignatureSpec()">getSignatureSpec</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/plugins/signing/type/SignatureType.html" title="interface in org.gradle.plugins.signing.type">SignatureType</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#getSignatureType()">getSignatureType</a></strong>()</code>
<div class="block">The file representation type of the signature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#getToSign()">getToSign</a></strong>()</code>
<div class="block">The file that is to be signed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts">PublishArtifact</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#getToSignArtifact()">getToSignArtifact</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#getType()">getType</a></strong>()</code>
<div class="block">The type of the signature artifact.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#setClassifier(java.lang.String)">setClassifier</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;classifier)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#setDate(java.util.Date)">setDate</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</a>&nbsp;date)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#setExtension(java.lang.String)">setExtension</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;extension)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#setFile(java.io.File)">setFile</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#setName(java.lang.String)">setName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#setSignatureSpec(org.gradle.plugins.signing.SignatureSpec)">setSignatureSpec</a></strong>(<a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a>&nbsp;signatureSpec)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Signature.html#setType(java.lang.String)">setType</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;type)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.artifacts.publish.AbstractPublishArtifact">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.artifacts.publish.AbstractPublishArtifact</h3>
<code>builtBy, getBuildDependencies, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Signature(org.gradle.api.artifacts.PublishArtifact, org.gradle.plugins.signing.SignatureSpec, java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Signature</h4>
<pre>public&nbsp;Signature(<a href="../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts">PublishArtifact</a>&nbsp;toSign,
         <a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a>&nbsp;signatureSpec,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;tasks)</pre>
<div class="block">Creates a signature artifact for the given public artifact.

 <p>The file to sign will be the file of the given artifact and the classifier of this signature artifact will default to the classifier of the given artifact to sign.</p> <p> The artifact to
 sign may change after being used as the source for this signature.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>toSign</code> - The artifact that is to be signed</dd><dd><code>signatureSpec</code> - The specification of how the artifact is to be signed</dd><dd><code>tasks</code> - The task(s) that will invoke <a href="../../../../org/gradle/plugins/signing/Signature.html#generate()"><code>generate()</code></a> on this signature (optional)</dd></dl>
</li>
</ul>
<a name="Signature(java.io.File, org.gradle.plugins.signing.SignatureSpec, java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Signature</h4>
<pre>public&nbsp;Signature(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;toSign,
         <a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a>&nbsp;signatureSpec,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;tasks)</pre>
<div class="block">Creates a signature artifact for the given file.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>toSign</code> - The file that is to be signed</dd><dd><code>signatureSpec</code> - The specification of how the artifact is to be signed</dd><dd><code>tasks</code> - The task(s) that will invoke <a href="../../../../org/gradle/plugins/signing/Signature.html#generate()"><code>generate()</code></a> on this signature (optional)</dd></dl>
</li>
</ul>
<a name="Signature(java.io.File, java.lang.String, org.gradle.plugins.signing.SignatureSpec, java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Signature</h4>
<pre>public&nbsp;Signature(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;toSign,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;classifier,
         <a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a>&nbsp;signatureSpec,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;tasks)</pre>
<div class="block">Creates a signature artifact for the given file, with the given classifier.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>toSign</code> - The file that is to be signed</dd><dd><code>classifier</code> - The classifier to assign to the signature (should match the files)</dd><dd><code>signatureSpec</code> - The specification of how the artifact is to be signed</dd><dd><code>tasks</code> - The task(s) that will invoke <a href="../../../../org/gradle/plugins/signing/Signature.html#generate()"><code>generate()</code></a> on this signature (optional)</dd></dl>
</li>
</ul>
<a name="Signature(groovy.lang.Closure, groovy.lang.Closure, org.gradle.plugins.signing.SignatureSpec, java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Signature</h4>
<pre>public&nbsp;Signature(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;toSign,
         <a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;classifier,
         <a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a>&nbsp;signatureSpec,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;tasks)</pre>
<div class="block">Creates a signature artifact for the file returned by the <code>toSign</code> closure.

 <p>The closures will be “evaluated” on demand whenever the value is needed (e.g. at generation time)</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>toSign</code> - A closure that produces a File for the object to sign (non File return values will be used as the path to the file)</dd><dd><code>classifier</code> - A closure that produces the classifier to assign to the signature artifact on demand</dd><dd><code>signatureSpec</code> - The specification of how the artifact is to be signed</dd><dd><code>tasks</code> - The task(s) that will invoke <a href="../../../../org/gradle/plugins/signing/Signature.html#generate()"><code>generate()</code></a> on this signature (optional)</dd></dl>
</li>
</ul>
<a name="Signature(java.util.concurrent.Callable, java.util.concurrent.Callable, org.gradle.plugins.signing.SignatureSpec, java.lang.Object...)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Signature</h4>
<pre>public&nbsp;Signature(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/concurrent/Callable.html?is-external=true" title="class or interface in java.util.concurrent">Callable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;toSign,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/util/concurrent/Callable.html?is-external=true" title="class or interface in java.util.concurrent">Callable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;classifier,
         <a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a>&nbsp;signatureSpec,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;tasks)</pre>
<div class="block">Creates a signature artifact for the file returned by the <code>toSign</code> closure.

 <p>The closures will be “evaluated” on demand whenever the value is needed (e.g. at generation time)</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>toSign</code> - A closure that produces a File for the object to sign (non File return values will be used as the path to the file)</dd><dd><code>classifier</code> - A closure that produces the classifier to assign to the signature artifact on demand</dd><dd><code>signatureSpec</code> - The specification of how the artifact is to be signed</dd><dd><code>tasks</code> - The task(s) that will invoke <a href="../../../../org/gradle/plugins/signing/Signature.html#generate()"><code>generate()</code></a> on this signature (optional)</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getToSign()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getToSign</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getToSign()</pre>
<div class="block">The file that is to be signed.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The file. May be <code>null</code> if unknown at this time.</dd></dl>
</li>
</ul>
<a name="setName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setName</h4>
<pre>public&nbsp;void&nbsp;setName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
</li>
</ul>
<a name="getName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getName()</pre>
<div class="block">The name of the signature artifact.

 <p>Defaults to the name of the signature <a href="../../../../org/gradle/plugins/signing/Signature.html#getFile()"><code>file</code></a>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The name. May be <code>null</code> if unknown at this time.</dd></dl>
</li>
</ul>
<a name="setExtension(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExtension</h4>
<pre>public&nbsp;void&nbsp;setExtension(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;extension)</pre>
</li>
</ul>
<a name="getExtension()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExtension</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getExtension()</pre>
<div class="block">The extension of the signature artifact.

 <p>Defaults to the specified file extension of the <a href="../../../../org/gradle/plugins/signing/Signature.html#getSignatureType()"><code>signature type</code></a>.</p></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The extension. May be <code>null</code> if unknown at this time.</dd></dl>
</li>
</ul>
<a name="setType(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setType</h4>
<pre>public&nbsp;void&nbsp;setType(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;type)</pre>
</li>
</ul>
<a name="getType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getType</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getType()</pre>
<div class="block">The type of the signature artifact.

 <p>Defaults to the extension of the <a href="../../../../org/gradle/plugins/signing/Signature.html#getToSign()"><code>file to sign</code></a> plus the extension of the <a href="../../../../org/gradle/plugins/signing/Signature.html#getSignatureType()"><code>signature type</code></a>. For example, when signing the file ‘my.zip’ with a
 signature type with extension ‘sig’, the default type is ‘zip.sig’.</p></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The type. May be <code>null</code> if the file to sign or signature type are unknown at this time.</dd></dl>
</li>
</ul>
<a name="setClassifier(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClassifier</h4>
<pre>public&nbsp;void&nbsp;setClassifier(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;classifier)</pre>
</li>
</ul>
<a name="getClassifier()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClassifier</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getClassifier()</pre>
<div class="block">The classifier of the signature artifact.

 <p>Defaults to the classifier of the source artifact (if signing an artifact) or the given classifier at construction (if given).</p></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The classifier. May be <code>null</code> if unknown at this time.</dd></dl>
</li>
</ul>
<a name="setDate(java.util.Date)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDate</h4>
<pre>public&nbsp;void&nbsp;setDate(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</a>&nbsp;date)</pre>
</li>
</ul>
<a name="getDate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDate</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</a>&nbsp;getDate()</pre>
<div class="block">The date of the signature artifact.

 <p>Defaults to the last modified time of the <a href="../../../../org/gradle/plugins/signing/Signature.html#getFile()"><code>signature file</code></a> (if exists)</p></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The date of the signature. May be <code>null</code> if unknown at this time.</dd></dl>
</li>
</ul>
<a name="setFile(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFile</h4>
<pre>public&nbsp;void&nbsp;setFile(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</pre>
</li>
</ul>
<a name="getFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFile</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getFile()</pre>
<div class="block">The file for the generated signature, which may not yet exist.

 <p>Defaults to a file alongside the <a href="../../../../org/gradle/plugins/signing/Signature.html#getToSign()"><code>file to sign</code></a> with the extension of the <a href="../../../../org/gradle/plugins/signing/Signature.html#getSignatureType()"><code>signature type</code></a>.</p></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The signature file. May be <code>null</code> if unknown at this time.</dd></dl>
</li>
</ul>
<a name="getSignatory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignatory</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory">Signatory</a>&nbsp;getSignatory()</pre>
<div class="block">The signatory of this signature file.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The signatory. May be <code>null</code> if unknown at this time.</dd></dl>
</li>
</ul>
<a name="getSignatureType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignatureType</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/plugins/signing/type/SignatureType.html" title="interface in org.gradle.plugins.signing.type">SignatureType</a>&nbsp;getSignatureType()</pre>
<div class="block">The file representation type of the signature.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The signature type. May be <code>null</code> if unknown at this time.</dd></dl>
</li>
</ul>
<a name="setSignatureSpec(org.gradle.plugins.signing.SignatureSpec)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSignatureSpec</h4>
<pre>public&nbsp;void&nbsp;setSignatureSpec(<a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a>&nbsp;signatureSpec)</pre>
</li>
</ul>
<a name="getSignatureSpec()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignatureSpec</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a>&nbsp;getSignatureSpec()</pre>
</li>
</ul>
<a name="getToSignArtifact()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getToSignArtifact</h4>
<pre>public final&nbsp;<a href="../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts">PublishArtifact</a>&nbsp;getToSignArtifact()</pre>
</li>
</ul>
<a name="generate()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>generate</h4>
<pre>public&nbsp;void&nbsp;generate()</pre>
<div class="block">Generates the signature file.

 <p>In order to generate the signature, the <a href="../../../../org/gradle/plugins/signing/Signature.html#getToSign()"><code>file to sign</code></a>, <a href="../../../../org/gradle/plugins/signing/Signature.html#getSignatory()"><code>signatory</code></a> and <a href="../../../../org/gradle/plugins/signing/Signature.html#getSignatureType()"><code>signature type</code></a> must be known (i.e. non <code>null</code>).</p></div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../org/gradle/api/InvalidUserDataException.html" title="class in org.gradle.api">InvalidUserDataException</a></code> - if the there is insufficient information available to generate the signature.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/plugins/signing/Sign.html" title="class in org.gradle.plugins.signing"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/plugins/signing/Signature.html" target="_top">Frames</a></li>
<li><a href="Signature.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
